## mailavenger 0.8.1

=== debian/changelog ===
mailavenger (0.8.1-4ubuntu1) oneiric; urgency=low

  * Fix FTBFS: (LP: #756194)
    - debian/control: Build against libdb-dev.
    - debian/rules:
      ubuntu_multiarch: Use multiarch path for libdb.
    - ubuntu_unused_but_set_var: Comment out various unused variables.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 23 Sep 2011 01:01:25 -0400

mailavenger (0.8.1-4) unstable; urgency=low

  * Renamed conflicting files to secondary path (Closes: #624234).
  * Update Standard-version to 3.9.2.0 (no changes needed).
  * Clean up old unused targets at debian/rules.
  * Switched to my Debian account.

 -- Ulises Vitulli <dererk@debian.org>  Thu, 16 Jun 2011 18:30:07 -0300

mailavenger (0.8.1-3) unstable; urgency=low

  * The 'Oh-righhht!' upload.
  * debian/rules: Now switching hardening-includes to easily handle gcc's 
     advanced protections on unsupported archs (Closes: #580790).

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Thu, 13 May 2010 20:30:39 -0300

mailavenger (0.8.1-2) unstable; urgency=low

  * debian/rules: do not install mac-specific files (Closes: #580397).
  * debian/control: Improved objective package description.
  * debian/copyright: Fix minor typo on Copyright (already fixed on upstream).
  * debian/rules: Disable gcc's Stack Smashing protection for unsupported archs:
    - alpha
    - hppa
    - ia64 
    - mips

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Wed, 05 May 2010 16:19:39 -0300

mailavenger (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #377714).
  * Stick to dpkg-source 3.0 (quilt) format.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Thu, 08 Apr 2010 14:11:08 -0300
