=== debian/control ===
Source: mailavenger
Section: mail
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libdb-dev,
 libssl-dev, libpcap0.8-dev | libpcap-dev, hardening-includes
Standards-Version: 3.9.2.0
Homepage: http://www.mailavenger.org/

Package: mailavenger
Architecture: any
Pre-Depends: adduser (>= 3.40)
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix | mail-transport-agent, 
 lsb-base 
Description: Highly configurable, MTA-independent SMTP filter server
 Mail Avenger is a highly configurable, MTA-independent Spam filtering solution
 at SMTP'ing time. 
 .
 The criteria Mail Avenger uses to handle filtering is based on a "how is it 
 being send?" fashion, instead of the classical "what are you sending?" model,
 in which the body or mail itself is analysed looking for SPAM patterns, 
 keywords, bad words or applying Bayesian filters, like SpamAssassin, DSPAM or
 SpamBayes does.
 .
 A distinguishing feature of Mail Avenger is that it allows you to reject spam
 during SMTP time, before even spooling messages in your local mail queue.
 This carries interesting features like identifying most clients OS (using 
 TCP SYN fingerprints), acquiring client's network information, embed 
 cryptographically secure expiration times in temporary mail addresses 
 to validate mail before receiving the message body, between others.
 .
 This is a partial list of features:
  * Mail-bomb protection
  * TCP filtering
  * Network-level traffic analysis
  * SMTP-level traffic analysis
  * SMTP callbacks
  * Per-user and per-user-extension mail scripts
  * Per-user mail relay checks
  * Virtual domain mapping
  * Alias to user mapping
  * RBL support
  * SPF
  * SPF language queries
  * Asynchronous DNS queries
  * "Bodytest" support
  * SMTP STARTTLS support
