## mailavenger 0.8.2

=== debian/changelog ===
mailavenger (0.8.2-1) unstable; urgency=low

  * New upstream-coordinated snapshot/release:
    - Fix bdb compatibility on 5.x (Closes: #621440, #634553, #647247)
    - Fix some gcc-4.6 warnings (Closes: #625391).
  * Improve building targets for simplifying portscripts.
  * Clean-up on debian/rules for multiarch support.
  * Dropped local patch for typofixing license documentation.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 13 Dec 2011 09:24:55 -0300
