=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mailavenger
 Section: mail
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ulises Vitulli <dererk@debian.org>
+Maintainer: Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libdb-dev,
  libssl-dev, libpcap0.8-dev | libpcap-dev, hardening-includes
 Standards-Version: 3.9.2.0
