=== debian/rules ===
--- 
+++ 
@@ -5,20 +5,14 @@
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# Required for Multiarch support (20120124, ref #621440, #634553, #647247)
+DEB_MULTIARCH_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
-# Thanks hardening-* gurus and Kees Cook!
+# hardening-*, I invoke you!
 include /usr/share/hardening-includes/hardening.make
 CFLAGS += $(HARDENING_CFLAGS)
 LDFLAGS += $(HARDENING_LDFLAGS)
 DEB_BUILD_HARDENING_PIE:=0
-
-ifndef DEB_HOST_ARCH
-DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
-endif
-export arch = $(DEB_HOST_ARCH)
 
 config.status: configure
 	dh_testdir
@@ -29,8 +23,7 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	./configure --enable-sasl --host=$(DEB_HOST_GNU_TYPE) \
-		 --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
+	./configure --enable-sasl --host=$(DEB_MULTIARCH_GNU_TYPE) --prefix=/usr \
 		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 		--libexecdir=\$${prefix}/lib/mailavenger \
 		--docdir=\$${prefix}/share/doc/mailavenger \
@@ -39,7 +32,9 @@
 		CFLAGS="$(CFLAGS)" \
 		LDFLAGS="$(LDFLAGS)"
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
