## mailavenger 0.8.3rc1

=== debian/changelog ===
mailavenger (0.8.3rc1-1) unstable; urgency=low

  * Fix FTBFS on gcc-4.7 series (Closes: #667268).
  * Fix piuparts QA checks on mailavenger:
    - unowned directory after purge: /var/lib/mailavenger (Closes: #668749).
  * Update Standard-version to 3.9.3 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Sat, 14 Apr 2012 09:40:52 -0300
