=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k 
-	dh_installdirs etc/avenger
+	dh_installdirs etc/avenger var/lib/mailavenger
 	
 	# Add here commands to install the package into debian/mailavenger.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mailavenger install
