## mailavenger 0.8.4

=== debian/changelog ===
mailavenger (0.8.4-4) unstable; urgency=medium

  * The 'waaaat' upload.
  * Added libsasl2-dev build-dep.
  * Fix broken SASL support through hardcode patch. 
  * Include Expirable Email Addresses mailavenger support (Closes: #705647).
  * Updated README.Debian documentation to reflect recent changes.
  * Bump up Standard-version to 3.9.6 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Mon, 05 Jan 2015 10:59:58 -0300

mailavenger (0.8.4-3) unstable; urgency=medium

  * Run dh-autoreconf to update config. Thanks Doko@ (Closes: #744628). 
  * Bump up Standard-version to 3.9.5 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 02 May 2014 10:49:45 -0300

mailavenger (0.8.4-2) unstable; urgency=low

  * Improve gcc hardening features:
    - debian/rules: Switch from hardening-includes in favor of dpkg-buildflags.
    - debian/control: Drop build-dep on hardening-includes.
    - debian/patches/handle_errout.patch: Local patch to get rid of 
      warn_unused_result Werror.

 -- Ulises Vitulli <dererk@debian.org>  Fri, 16 Aug 2013 09:54:50 +0200

mailavenger (0.8.4-1) unstable; urgency=low

  * New upstream release:
    - Fix FTBFS on gcc 4.8 (Closes: #701317).
    - Added systemd mailavenger.service file.
    - Use new resolver library interface, instead of reloading resolv.conf. 
  * Bump up Standard-version to 3.9.4 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Wed, 14 Aug 2013 23:08:43 +0200
