=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libdb-dev,
- libssl-dev, libpcap0.8-dev | libpcap-dev, hardening-includes
-Standards-Version: 3.9.2.0
+ libssl-dev, libpcap0.8-dev | libpcap-dev, dh-autoreconf, libsasl2-dev
+Standards-Version: 3.9.6
 Homepage: http://www.mailavenger.org/
 
 Package: mailavenger
