=== debian/watch ===
version=3
http://www.mailavenger.org/dist/avenger-?(\d[\d\-.]+)\.tar\.gz
