## mailavenger 0.8.5

=== debian/changelog ===
mailavenger (0.8.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:45 +0100

mailavenger (0.8.5-2) unstable; urgency=medium

  * Added Salsa CI, with tests courtesy of PhilHands. Thanks!
  * Replicate sysvinit behaviour on initial install (Closes: #931466),
    Thanks PhilHands!
  * Fix build vs host arguments passed at configure-time, thanks HelmutGrohne!
    (Closes: #928467).
  * Removed already upstream merged patches.
  * Local patch for fixing some manpages typos.
  * Upgraded to debian/copyright machine-readable format.
  * Bump up Standard-version, update compat to v12.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 20 Jul 2019 17:53:09 -0300

mailavenger (0.8.5-1) unstable; urgency=medium

  * FTBFS with openssl 1.1.0 (Closes: #828429).
  * Install new systemd service unit.
  * Upgrade to debhelper 11 standard.
  * Bump up Standard-version to 4.2.1.5.
  * Fix some typos from README.Debian.

 -- Ulises Vitulli <dererk@debian.org>  Wed, 05 Dec 2018 08:20:10 -0300

mailavenger (0.8.4-5) unstable; urgency=medium

  * Fix FTBFS with gcc 7. Thanks JuhaniNumminen! (Closes: #871028).
  * Bump up Standard-version to 4.1.5 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Mon, 23 Jul 2018 17:29:34 -0300
