=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

DEB_CFLAGS_MAINT_APPEND = -Wno-error=int-in-bool-context
DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_autoreconf
	./configure --enable-sasl --build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) --prefix=/usr \
		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
		--libexecdir=\$${prefix}/lib/mailavenger \
		--docdir=\$${prefix}/share/doc/mailavenger \
		--datadir=\$${prefix}/share/doc/mailavenger \
		--htmldir=\$${prefix}/share/doc/mailavenger \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs etc/avenger var/lib/mailavenger lib/systemd/system
	
	# Add here commands to install the package into debian/mailavenger.
	$(MAKE) DESTDIR=$(CURDIR)/debian/mailavenger install		
	
	# Ok, now place some basic configuration, but remember,
	#  some very basic stuff is needed, that's why we don't start by default
	dh_install debian/mailavenger/usr/share/doc/mailavenger/avenger/asmtpd.conf etc/avenger
	dh_install debian/mailavenger/usr/share/doc/mailavenger/avenger/unknown etc/avenger
	
	# See #624234
	mv $(CURDIR)/debian/mailavenger/usr/bin/deliver $(CURDIR)/debian/mailavenger/usr/bin/avenger.deliver
	mv $(CURDIR)/debian/mailavenger/usr/share/man/man1/deliver.1 $(CURDIR)/debian/mailavenger/usr/share/man/man1/avenger.deliver.1
	
	# See #580397
	mv $(CURDIR)/debian/mailavenger/usr/share/man/man1/macutil.1 $(CURDIR)/debian/mailavenger/usr/share/man/man8/macutil.8
	sed -i 's/macutil 1/macutil 8/g' $(CURDIR)/debian/mailavenger/usr/share/man/man8/macutil.8
	
	# Lintian suggestion (Is something this guys can't do? ;) )
	sed -i 's/writeable/writable/' $(CURDIR)/debian/mailavenger/usr/share/man/man1/avenger.deliver.1	
	
	# put service file where it should
	dh_install etc/avenger.service lib/systemd/system
	mv $(CURDIR)/debian/mailavenger/lib/systemd/system/avenger.service $(CURDIR)/debian/mailavenger/lib/systemd/system/mailavenger.service
	sed -i 's@PIDFile=/var/run/asmtpd.pid@@' $(CURDIR)/debian/mailavenger/lib/systemd/system/mailavenger.service
	
	# Duplicated doc pages
	rm $(CURDIR)/debian/mailavenger/usr/share/doc/mailavenger/avenger/INSTALL.html

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installinit --no-enable --no-start
	dh_installchangelogs NEWS
	dh_installdocs README
	dh_installsystemd --no-enable --no-start
	dh_installman
	dh_lintian
	dh_link usr/share/man/man8/macutil.8.gz usr/share/man/man8/sendmac.8.gz
	dh_strip
	dh_compress -X usr/share/doc/mailavenger/pf.os
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
