=== debian/tests/control ===
Tests: swaks
Restrictions: allow-stderr
Depends: @, swaks
